Skip to main content
Create a new organization (Basic)
curl --request POST \
  --url https://api.ionworks.com/organizations \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "usage_limit": {},
  "nav_config": {},
  "user_organization_roles": [
    {
      "organization_id": "<string>",
      "user_id": "<string>",
      "users": {
        "id": "<string>",
        "email": "<string>"
      },
      "organization_role_id": "<string>",
      "organization_roles": {
        "name": "<string>",
        "id": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "organization_role_permissions": [
          {}
        ]
      }
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Body

application/json

Pydantic model for creating an organization (request body).

name
string
required

Response

Successful Response

Pydantic model for an organization.

id
string
required
name
string
required
slug
string
required
usage_limit

Monthly usage limit

nav_config
Nav Config · object

Per-organization nav config: { '': { 'show': bool, 'disabled': bool, 'badgeLabel': str | None, 'badgeTooltip': str | None } }

user_organization_roles
UserOrganizationRole · object[] | null

List of user organization roles

created_at
string<date-time> | null

Timestamp of creation

updated_at
string<date-time> | null

Timestamp of last update